language: smalltalk
sudo: false
os:
- linux
smalltalk:
- Pharo64-10
- Pharo64-9.0
before_deploy:
  - cp "${SMALLTALK_CI_IMAGE}" "{{PROJECT_NAME}}.image"
  - cp "${SMALLTALK_CI_CHANGES}" "{{PROJECT_NAME}}.changes"
  - zip -q "${TRAVIS_BRANCH}-${TRAVIS_SMALLTALK_VERSION}.zip" "{{PROJECT_NAME}}.image" "{{PROJECT_NAME}}.changes"
deploy:
  provider: releases
  api_key:
    secure: XXX (Use travis setup releases to configure it)
  file: "${TRAVIS_BRANCH}-${TRAVIS_SMALLTALK_VERSION}.zip"
  skip_cleanup: true
  on:
    repo: {{OWNER}}/{{REPO_NAME}}
    tags: true
